import { WorldConfig } from "../../lib/types";
import { AmmoDebugDrawer } from "ammo-debug-drawer";
export declare class World {
    collisionConfiguration: Ammo.btDefaultCollisionConfiguration;
    dispatcher: Ammo.btCollisionDispatcher;
    broadphase: Ammo.btDbvtBroadphase;
    solver: Ammo.btSequentialImpulseConstraintSolver;
    physicsWorld: Ammo.btSoftRigidDynamicsWorld;
    debugDrawer: AmmoDebugDrawer | null;
    object3Ds: Map<any, any>;
    collisions: Map<any, any>;
    collisionKeys: any[];
    epsilon: number;
    debugDrawMode: number;
    maxSubSteps: number;
    fixedTimeStep: number;
    softBodySolver: Ammo.btDefaultSoftBodySolver;
    softBodyHelpers: Ammo.btSoftBodyHelpers;
    constructor(worldConfig: WorldConfig);
    isDebugEnabled(): boolean;
    addRigidBody(body: Ammo.btRigidBody, matrix: any, group: any, mask: any): void;
    removeRigidBody(body: any): void;
    updateRigidBody(body: any): void;
    step(deltaTime: any): number;
    destroy(): void;
    getDebugDrawer(debugIndexArray: any, debugMatricesArray: any, debugColorsArray: any, options: any): any;
}
